Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 983723 - Multi-node deployment issue due to missing Quantum OVS security groups configuration on controller
Summary: Multi-node deployment issue due to missing Quantum OVS security groups config...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack
Version: unspecified
Hardware: Unspecified
OS: All
unspecified
unspecified
Target Milestone: rc
: 4.0
Assignee: Martin Magr
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-11 19:36 UTC by Alessandro Pilotti
Modified: 2013-12-19 23:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-19 23:54:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2013:1859 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2013-12-21 00:01:48 UTC

Description Alessandro Pilotti 2013-07-11 19:36:55 UTC
When using packstack to deploy a multinode setup including:
  
Compute node: 

nova-compute, quantum-ovs-agent

Network node: 

quantum-ovs-agent, quantum-l3-agent, quantum-dhcp-agent

Controller node:

Nova (except nova-compute and nova-network), Keystone, Glance, Cinder, Horizon and quantum-server

The quantum OVS security groups are configured on the network node, but not on the controller node, resulting in HTTP 500 errors when using the Nova APIs.    

Missing OVS plugin configuration option: firewall_driver 
File: /etc/quantum/plugins/openvswitch/ovs_quantum_plugin.ini
Section: SECURITYGROUPS


Version release: 0.20.dev642.el6


How reproducible:
Steps to Reproduce:

1. Deploy RDO with 3 nodes as specified above. 
2. source /root/keystonerc_admin
2. Run "nova list"


Actual results:

ERROR: The server has either erred or is incapable of performing the requested operation. (HTTP 500) (Request-ID: req-bee48570-1844-42b1-970d-9ff51e2bb329)


Expected results:

No error.


Workaround:

On the controller node run:

sed -i 's/^#\ firewall_driver/firewall_driver/g' /etc/quantum/plugins/openvswitch/ovs_quantum_plugin.ini
service quantum-server restart

Comment 2 Alvaro Lopez Ortega 2013-11-13 19:09:45 UTC
Terry, was this fixed already? Truth be said, we aren't sure.

Comment 3 Terry Wilson 2013-11-13 21:35:31 UTC
I'm pretty sure this is fixed. The L2 manifests are executed for api, compute, dhcp, and l3 hosts.

Comment 4 Alvaro Lopez Ortega 2013-12-03 17:27:34 UTC
Thanks a million Terry!

Comment 7 Ofer Blaut 2013-12-08 14:35:11 UTC
work , tested with 
openstack-neutron-openvswitch-2013.2-13.el6ost.noarch
python-neutronclient-2.3.1-2.el6ost.noarch
python-neutron-2013.2-13.el6ost.noarch
openstack-neutron-2013.2-13.el6ost.noar

Comment 10 errata-xmlrpc 2013-12-19 23:54:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1859.html


Note You need to log in before you can comment on or make changes to this bug.